# Copyright 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

import logging

from charmworld.models import (
    options_to_storage,
)


def exodus_update(source, target):
    log = logging.getLogger("charm.migration")
    for charm in source.collection.find():
        config = charm.get('config')
        if config is not None and 'options' in config:
            config['options'] = options_to_storage(config['options'])
        try:
            target.save(charm)
        except Exception as e:
            log.exception(str(e))
