# Copyright 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from charmworld.models import (
    Charm,
    CharmSource,
    QADataSource,
)


def upgrade(db, index_client):
    """Change the representation of qa answers."""
    charm_source = CharmSource(db, index_client)
    qa_data_source = QADataSource.from_db(db)
    for charm_data in charm_source.collection.find({'qa': {'$exists': True}}):
        qa_data_source.save_qa_data(Charm(charm_data), charm_data['qa'])
        del charm_data['qa']
        charm_source.save(charm_data)
